.container {
  position: relative;
  width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  padding: 0 30px;
  gap: 40px;
}
.left {
  flex: 2;
  margin-top: 120px;
}
.left .product-img-box {
  position: relative;
  z-index: 2;
  align-items: flex-start;
  display: flex;
  justify-content: center;
  transition: all 0.3s;
  margin-right: 40px;
}
.left .product-img-box .img-wrap {
  border-radius: 30px;
  position: relative;
  /*&::after{
                content: "";
                display: block;
                position: absolute;
                top: 50px;
                left: 50px;
                width: 500px;
                height: 500px;
                background-color: rgba(0, 0, 0, 0.2);
                border-radius: 40px;
                z-index: 1;
            }*/
}
.left .product-img-box .img-wrap .p-img {
  position: relative;
  z-index: 2;
  transition: all 0.3s;
  margin: 0 auto;
  width: 100%;
  border-radius: 40px;
}
.left .product-img-box .img-wrap:after {
  /*                    content: "";
                background-image: var(--float2_img);
                background-repeat: no-repeat;
                background-size: contain;
                width: 160px;
                height: 160px;
                position: absolute;
                bottom: -20px;
                right: 32px;
                z-index: 2;
                animation: var(--animation-name3) var(--animation-time3) ease-in-out infinite;
                animation-play-state: running;*/
}
.left .product-img-box .img-wrap.liwai .maim-float {
  bottom: -30px;
  right: 0;
  z-index: 2;
}
.left .product-img-box .img-wrap.liwai:before {
  right: -74px;
  top: unset;
  left: unset;
  bottom: 15px;
  width: 200px;
  height: 200px;
  transform: translateY(-40px);
  z-index: 3;
}
.left .product-img-box .img-wrap.liwai:after {
  z-index: 2;
  right: 150px;
  bottom: -46px;
  width: 160px;
  height: 160px;
  animation-play-state: running;
}
@keyframes float1 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes float2 {
  0% {
    transform: translateY(0) rotate(0deg);
  }
  50% {
    transform: translateY(-15px) rotate(-1deg);
  }
  100% {
    transform: translateY(0) rotate(0deg);
  }
}
@keyframes float3 {
  0% {
    transform: translateY(0) rotate(-1deg);
  }
  50% {
    transform: translateY(-20px) rotate(0deg);
  }
  100% {
    transform: translateY(0) rotate(-1deg);
  }
}
@keyframes float4 {
  0% {
    transform: translateY(0) rotate(-2deg);
  }
  50% {
    transform: translateY(-8px) rotate(0deg);
  }
  100% {
    transform: translateY(0) rotate(-2deg);
  }
}
@keyframes float5 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-12px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes float6 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes float7 {
  0% {
    transform: translateY(0) rotate(0deg);
  }
  50% {
    transform: translateY(-20px) rotate(1deg);
  }
  100% {
    transform: translateY(0) rotate(0deg);
  }
}
.left .product-img-box .inter-info {
  width: 300px;
  background-color: rgba(0, 0, 0, 0.2);
  display: block;
  line-height: 72px;
  text-align: center;
  border-radius: 60px;
  transition: all 0.3s;
  transform-origin: center;
  color: #FFF;
  margin: 50px auto 0;
  letter-spacing: 3px;
  font-size: 18px;
  transform: scale(0);
  opacity: 0;
  border: 2px solid transparent;
}
.left .product-img-box .inter-info:hover {
  background-color: transparent;
  border: 2px solid #FFF;
}
.left .product-img-box:hover .product-carts .product-go-cart {
  width: 300px;
  line-height: 60px;
  border-radius: 60px;
}
.left .product-tastes {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px 0;
  width: 500px;
  margin: 70px auto 30px;
}
.left .product-tastes .product-taste-item {
  display: flex;
  justify-content: center;
}
.left .product-tastes .product-taste-item .taste-title_en {
  font-size: 16px;
  font-style: italic;
}
.left .product-tastes .product-taste-item .taste-speed {
  display: flex;
}
.left .product-tastes .product-taste-item .taste-speed .dot {
  width: 32px;
  height: 32px;
  border-radius: 8px;
  border: 2px solid #fff;
  display: block;
  margin-right: 6px;
  margin-top: 6px;
  position: relative;
  overflow: hidden;
}
.left .product-tastes .product-taste-item .taste-speed .dot.act {
  background-color: #fff;
}
.left .product-tastes .product-taste-item .taste-speed .dot:before {
  content: "";
  position: absolute;
  height: 100%;
  width: var(--progress);
  background-color: var(--extent_color, #fff);
  border-radius: 0;
}
.left .desc {
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  font-size: 14px;
  font-weight: 500;
  color: rgba(255, 255, 255, 0.9);
  margin-top: 10px;
  padding: 30px 50px 0;
}
.left .desc p:nth-child(2n) {
  margin-bottom: 16px;
}
.left .desc p {
  display: grid;
  margin: 30px 0;
  grid-template-columns: 1fr 2fr;
}
.left .desc p strong {
  white-space: nowrap;
}
.left .add {
  display: flex;
  flex-direction: column;
  padding: 30px 40px;
}
.left .add .additem {
  align-items: center;
  display: flex;
  font-size: 15px;
  font-weight: 400;
  color: #ffffff;
  padding: 20px;
  background-color: rgba(0, 0, 0, 0.2);
  margin: 6px 0;
  border-radius: 16px;
}
.left .add .additem .addicon {
  width: 24px;
  height: 24px;
  fill: #FFF;
  margin-right: 14px;
}
.left .add .additem .addnum {
  font-weight: 700;
  color: var(--main-color);
}
.left .comment {
  background-color: rgba(0, 0, 0, 0.2);
  padding: 30px;
  border-radius: 30px;
}
.left .comment .stars {
  display: flex;
  align-items: center;
}
.left .comment .stars i {
  font-size: 18px;
  margin-right: 4px;
  color: #ffcb00;
}
.left .comment .stars.pointer i {
  cursor: pointer;
}
.left .comment .widg {
  border-bottom: 2px solid #eee;
  margin-bottom: 28px;
  padding-bottom: 28px;
}
.left .comment .widg .amount-wrap .total-box {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}
.left .comment .widg .amount-wrap .total-box .total {
  padding: 0 30px;
  border-right: 1px solid rgba(255, 255, 255, 0.2);
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}
.left .comment .widg .amount-wrap .total-box .total .score-desc {
  font-size: 14px;
}
.left .comment .widg .amount-wrap .total-box .total .score {
  font-size: 48px;
  color: #ffcb00;
}
.left .comment .widg .amount-wrap .total-box .total .text {
  font-size: 14px;
  margin-top: 10px;
}
.left .comment .widg .amount-wrap .total-box .total .stars i {
  font-size: 20px;
}
.left .comment .widg .amount-wrap .total-box .total .stars i:last-child {
  margin-right: 0;
}
.left .comment .widg .amount-wrap .total-box .histogram .row {
  display: flex;
  align-items: center;
  height: 22px;
  margin-bottom: 6px;
}
.left .comment .widg .amount-wrap .total-box .histogram .row .stars i {
  font-size: 14px;
}
.left .comment .widg .amount-wrap .total-box .histogram .row .bar {
  width: 140px;
  height: 18px;
  margin: 0 6px;
  border-radius: 6px;
  background-color: rgba(0, 0, 0, 0.15);
  overflow: hidden;
}
.left .comment .widg .amount-wrap .total-box .histogram .row .bar .progress {
  width: 0;
  height: 100%;
  background-color: #ffcb00;
  display: block;
}
.left .comment .widg .amount-wrap .total-box .histogram .row .percentage {
  font-size: 12px;
  width: 30px;
}
.left .comment .widg .amount-wrap .total-box .histogram .row .frequency {
  font-size: 12px;
  margin-left: 20px;
}
.left .comment .widg .amount-wrap .write-wrap {
  opacity: 0;
  height: 0;
  transition: all 0.2s ease-in;
  overflow: hidden;
}
.left .comment .widg .amount-wrap .write-wrap .form-group {
  margin-bottom: 20px;
}
.left .comment .widg .amount-wrap .write-wrap .form-group input {
  appearance: none;
  -webkit-appearance: none;
}
.left .comment .widg .amount-wrap .write-wrap .form-group .lab {
  font-size: 14px;
  margin-bottom: 8px;
  white-space: nowrap;
}
.left .comment .widg .amount-wrap .write-wrap .form-group .form-control {
  background-color: rgba(0, 0, 0, 0.2);
  color: #fff;
  width: 100%;
  padding: 12px 40px 12px;
  outline: 0;
  border: 1.5px solid rgba(255, 255, 255, 0.2);
  border-radius: 99px;
  font-size: 18px;
  white-space: nowrap;
  letter-spacing: 0.5px;
  transition: all 0.3s;
}
.left .comment .widg .amount-wrap .write-wrap textarea {
  width: 100%;
  border: 1.5px solid rgba(255, 255, 255, 0.2);
  border-radius: 10px !important;
  padding: 16px 20px !important;
  box-sizing: border-box;
  outline: none;
  color: rgba(255, 255, 255, 0.9);
  background-color: rgba(0, 0, 0, 0.2);
  font-family: "YaHei Consolas Hybrid", Consolas, "微软雅黑", "Meiryo UI", "Malgun Gothic", "Segoe UI", "Trebuchet MS", Helvetica, Monaco, courier, monospace;
  font-size: 16px;
  letter-spacing: 0.5px;
  height: 100px !important;
}
.left .comment .widg .amount-wrap .write-wrap .submit-btn {
  width: 35%;
  height: 48px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #FFF;
  border: none;
  border-radius: 99px;
  letter-spacing: 1px;
  background-color: rgba(255, 255, 255, 0.1);
  transition: all 0.3s;
  cursor: pointer;
  font-size: 16px;
  margin: 0 auto;
}
.left .comment .widg .amount-wrap .write-wrap .submit-btn:hover {
  letter-spacing: 2px;
  background-color: rgba(255, 255, 255, 0.3);
}
.left .comment .widg .amount-wrap .write-wrap.-show {
  opacity: 1;
  border-top: 1px solid #eee;
  padding: 30px;
  height: 392px;
}
.left .comment .widg .amount-wrap .actions {
  margin: 0 auto;
  width: 35%;
  transition: all 0.3s;
}
.left .comment .widg .amount-wrap .actions .write-btn {
  width: 100%;
  height: 48px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #FFF;
  border-radius: 99px;
  letter-spacing: 1px;
  background-color: rgba(255, 255, 255, 0.1);
  transition: all 0.3s;
  cursor: pointer;
}
.left .comment .widg .amount-wrap .actions .write-btn .writeicon {
  width: 16px;
  height: 16px;
  fill: #FFF;
  margin: 2px 0 0 6px;
}
.left .comment .widg .amount-wrap .actions:hover .write-btn {
  letter-spacing: 2px;
  background-color: rgba(255, 255, 255, 0.3);
}
.left .comment .widg .amount-wrap .actions .write-cancel {
  font-size: 14px;
  color: rgba(255, 255, 255, 0.6);
  display: flex;
  text-align: center;
  height: 36px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s;
}
.left .comment .widg .amount-wrap .actions .write-cancel:hover {
  color: rgba(255, 255, 255, 0.9);
}
.left .comment .history .title {
  font-size: 20px;
  font-weight: 500;
  border-left: 4px solid #FFF;
  padding-left: 10px;
}
.left .comment .history .label-box {
  display: flex;
  /* grid-template-columns: repeat(3, 1fr); */
  font-size: 13px;
  flex-wrap: wrap;
  gap: 10px 20px;
  margin: 20px 0 40px;
  padding: 0 14px;
}
.left .comment .history .label {
  background-color: rgba(255, 255, 255, 0.1);
  padding: 12px;
  text-align: center;
  border-radius: 12px;
}
.left .comment .history .reviews .rev {
  border-bottom: 2px solid rgba(255, 255, 255, 0.2);
  padding-bottom: 20px;
  margin-bottom: 20px;
}
.left .comment .history .reviews .rev:last-child {
  margin-bottom: 0;
  border-bottom: 0;
}
.left .comment .history .reviews .rev .like-box {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 0 14px;
}
.left .comment .history .reviews .rev .like-box .doyou {
  font-size: 12px;
  margin-right: 10px;
  color: rgba(255, 255, 255, 0.6);
  font-weight: 300;
}
.left .comment .history .reviews .rev .like-box .up {
  width: 24px;
  height: 24px;
}
.left .comment .history .reviews .rev .like-box .up-num {
  font-size: 13px;
  color: rgba(255, 255, 255, 0.6);
}
.left .comment .history .reviews .rev .name-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 14px;
}
.left .comment .history .reviews .rev .name-box .nickname {
  font-size: 14px;
  color: #FFF;
}
.left .comment .history .reviews .rev .name-box .nickname .fans {
  color: #a05d00;
  font-size: 12px;
  padding: 2px 6px;
  border-radius: 4px;
  background: linear-gradient(135deg, #ffec46, #fca400);
}
.left .comment .history .reviews .rev .name-box .star-box {
  display: flex;
  align-items: center;
}
.left .comment .history .reviews .rev .name-box .star-box i {
  font-size: 14px;
  margin-right: 3px;
}
.left .comment .history .reviews .rev .name-box .star-box i:last-child {
  margin-right: 0;
}
.left .comment .history .reviews .rev .name-box .star-box .date {
  font-size: 14px;
  margin-left: 10px;
  color: rgba(255, 255, 255, 0.6);
}
.left .comment .history .reviews .rev .buy-text {
  margin-top: 6px;
  font-size: 12px;
  color: rgba(255, 255, 255, 0.6);
  padding: 0 14px;
}
.left .comment .history .reviews .rev .content {
  margin: 20px 0;
  font-size: 15px;
  color: #ffffff;
  padding: 0 14px;
}
.left .comment .history .paging {
  display: flex;
  align-items: center;
  gap: 16px;
  font-size: 14px;
  color: #000;
  cursor: pointer;
  transition: all 0.3s;
  margin-top: 30px;
}
.left .comment .history .paging .prev {
  width: 28px;
  height: 28px;
  background-color: transparent;
  border-radius: 50%;
  position: relative;
  cursor: pointer;
  transition: all 0.3s;
}
.left .comment .history .paging .prev .previcon {
  width: 18px;
  height: 18px;
  transform: translate(-50%, -50%) scaleX(-1);
  position: absolute;
  top: 52%;
  left: 48%;
  fill: #000;
}
.left .comment .history .paging .prev:hover {
  background-color: #000;
}
.left .comment .history .paging .prev:hover .previcon {
  fill: #FFF;
}
.left .comment .history .paging .disabled {
  opacity: 0.1;
}
.left .comment .history .paging .active {
  transform: scale(1.2);
  border-bottom: 1px solid #000;
  transition: all 0.3s;
}
.left .comment .history .paging .active:hover {
  color: var(--main-color);
}
.left .comment .history .paging .next {
  width: 28px;
  height: 28px;
  background-color: transparent;
  border-radius: 50%;
  position: relative;
  transition: all 0.3s;
}
.left .comment .history .paging .next .nexticon {
  width: 18px;
  height: 18px;
  fill: #000;
  position: absolute;
  top: 52%;
  left: 52%;
  transform: translate(-50%, -50%);
}
.left .comment .history .paging .next:hover {
  background-color: #000;
}
.left .comment .history .paging .next:hover .nexticon {
  fill: #FFF;
}
.left .comment .history .lord-more {
  border: 2px solid rgba(255, 255, 255, 0.2);
  padding: 12px;
  font-size: 16px;
  color: #fff;
  text-align: center;
  margin: 0 auto;
  width: 50%;
  border-radius: 99px;
  transition: all 0.3s;
  cursor: pointer;
}
.left .comment .history .lord-more:hover {
  border: 2px solid rgba(255, 255, 255, 0.9);
  letter-spacing: 3px;
}
.left .other-box {
  background-color: rgba(0, 0, 0, 0.2);
  padding: 30px;
  border-radius: 30px;
  margin-top: 40px;
}
.left .other-box .title {
  font-size: 20px;
  font-weight: 500;
  border-left: 4px solid #FFF;
  padding-left: 10px;
}
.left .other-box .sub {
  margin-top: 30px;
  font-size: 14px;
  padding: 0 14px;
  color: rgba(255, 255, 255, 0.6);
}
.left .other-box .sub p {
  margin: 20px 0;
}
.right-sticky {
  position: relative;
  flex: 1;
}
.right-sticky .right {
  position: sticky;
  top: 120px;
}
.right-sticky .right .product-infos {
  width: 500px;
  padding: 60px 50px;
  position: relative;
  z-index: 2;
  color: #fff;
  height: auto;
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 30px;
}
.right-sticky .right .product-infos .goods-img-31 {
  width: 30%;
  top: 60px !important;
  right: -15px !important;
}
.right-sticky .right .product-infos .goods-img-32 {
  width: 23%;
}
.right-sticky .right .product-infos .maim-fixed {
  width: 23%;
  position: absolute;
  z-index: 3;
  top: 0px;
  right: -30px;
  animation: float-goods-img 2.8s ease-in-out infinite;
  animation-play-state: running;
}
.right-sticky .right .product-infos .maim-float {
  position: absolute;
  z-index: 3;
  top: 20px;
  right: -15px;
  animation: float-goods-img 2.8s ease-in-out infinite;
  animation-play-state: running;
}
@keyframes float-goods-img {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}
.right-sticky .right .product-infos .title-box {
  border-left: 6px solid #FFF;
  padding: 10px 0 10px 20px;
}
.right-sticky .right .product-infos .title-box .title-name {
  display: flex;
  align-items: center;
}
.right-sticky .right .product-infos .title-box .title-name .product-list {
  font-size: 24px;
}
.right-sticky .right .product-infos .title-box .title-name .mouth {
  border: 1.5px solid #FFF;
  border-radius: 6px;
  padding: 4px 10px;
  margin-left: 10px;
}
.right-sticky .right .product-infos .title-box .product-title {
  font-size: 40px;
  letter-spacing: 2px;
}
.right-sticky .right .product-infos .title-box .sub {
  opacity: 0.3;
}
.right-sticky .right .product-infos .title-box .intro {
  font-size: 13px;
  opacity: 0.6;
  margin-top: 14px;
  letter-spacing: 1px;
}
.right-sticky .right .product-infos .title-box .price-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 30px;
}
.right-sticky .right .product-infos .title-box .price-box .total {
  display: flex;
  align-items: baseline;
  cursor: pointer;
  transition: all 0.2s;
}
.right-sticky .right .product-infos .title-box .price-box .total .stars {
  display: flex;
  align-items: center;
}
.right-sticky .right .product-infos .title-box .price-box .total .stars i {
  font-size: 18px;
  margin-right: 2px;
  color: #ffcb00;
}
.right-sticky .right .product-infos .title-box .price-box .total .stars.pointer i {
  cursor: pointer;
}
.right-sticky .right .product-infos .title-box .price-box .total .go-com {
  height: 24px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
}
.right-sticky .right .product-infos .title-box .price-box .total .go-com .text {
  letter-spacing: 0;
  margin-left: 6px;
  transition: all 0.5s cubic-bezier(0.8, 0, 0, 0.8);
}
.right-sticky .right .product-infos .title-box .price-box .total .go-com .text .com-num {
  font-weight: 700;
  text-decoration: 2px underline dashed #ccc;
  text-underline-offset: 5px;
}
.right-sticky .right .product-infos .title-box .price-box .total:hover .go-com .text {
  transform: translateY(-29px);
  color: #ffcb00;
}
.right-sticky .right .product-infos .title-box .price-box .price {
  font-size: 32px;
}
.right-sticky .right .product-infos .sales {
  margin: 30px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.right-sticky .right .product-infos .sales .panic {
  width: 150px;
  flex-shrink: 0;
}
.right-sticky .right .product-infos .sales .panic .red-pan {
  color: var(--main-color);
  font-style: normal;
}
.right-sticky .right .product-infos .sales .order-logs {
  margin-left: 4px;
  font-size: 14px;
  width: 300px;
  height: 40px;
  overflow: hidden;
}
.right-sticky .right .product-infos .sales .order-logs .swiper-slide .ol {
  display: flex;
  justify-content: space-between;
  padding: 8px 20px;
  background-color: rgba(0, 0, 0, 0.2);
  color: rgba(255, 255, 255, 0.8);
  border-radius: 40px 40px 5px 40px;
  border: 1.5px solid rgba(255, 255, 255, 0.15);
  font-size: 13px;
}
.right-sticky .right .product-infos .sales .order-logs .swiper-slide:nth-child(odd) {
  opacity: 0;
}
.right-sticky .right .product-infos .go-cart-box {
  display: flex;
  justify-content: center;
  transition: all 0.3s;
  gap: 20px;
}
.right-sticky .right .product-infos .go-cart-box input {
  background-color: transparent;
  width: 100%;
  height: 100%;
  border: none;
  text-align: center;
  font-size: 24px;
  cursor: unset;
  color: #FFF;
}
.right-sticky .right .product-infos .go-cart-box .su-cart {
  width: 100%;
  height: 56px;
  position: relative;
  border-radius: 99px;
  flex: 2;
  overflow: hidden;
  transition: all 0.3s ease-out;
  background-color: rgba(255, 255, 255, 0.1);
  border: 1.5px solid transparent;
}
.right-sticky .right .product-infos .go-cart-box .su-cart i {
  font-size: 16px;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translate(0, -50%);
  cursor: pointer;
  color: #ffffff;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
  display: inline-block;
  height: 44px;
  width: 48px;
  line-height: 44px;
  transition: all 0.3s ease-out;
  font-weight: 700;
  background-color: transparent;
}
.right-sticky .right .product-infos .go-cart-box .su-cart i:hover {
  font-size: 20px;
  background-color: rgba(255, 255, 255, 0.2);
}
.right-sticky .right .product-infos .go-cart-box .su-cart .cart-reduce {
  left: 4px;
  border-radius: 99px 20px 20px 99px;
}
.right-sticky .right .product-infos .go-cart-box .su-cart .cart-add {
  right: 4px;
  border-radius: 20px 99px 99px 20px;
}
.right-sticky .right .product-infos .go-cart-box .su-cart:hover {
  border: 1.5px solid rgba(255, 255, 255, 0.8);
}
.right-sticky .right .product-infos .go-cart-box .product-go-cart {
  width: 300px;
  background-color: rgba(255, 255, 255, 0.3);
  display: flex;
  height: 56px;
  text-align: center;
  justify-content: center;
  align-items: center;
  border-radius: 60px;
  transition: all 0.3s;
  transform-origin: center;
  color: #FFF;
  letter-spacing: 3px;
  font-size: 18px;
  flex: 3;
  white-space: nowrap;
}
.right-sticky .right .product-infos .go-cart-box .product-go-cart:hover {
  color: #282c7d;
  background-color: #FFF !important;
  letter-spacing: 6px;
}
.right-sticky .right .product-infos .go-cart-box .successicon {
  transform: scale(0.5);
}
.right-sticky .right .product-infos .go-cart-box .successicon .circle {
  stroke-dasharray: 1156;
  stroke-dashoffset: 1156;
  transform: rotate(-67deg) translate(-14px, 31px);
  animation: circlego 0.8s ease-out forwards;
}
@keyframes circlego {
  from {
    stroke-dashoffset: 1194;
  }
  to {
    stroke-dashoffset: 2288;
  }
}
.right-sticky .right .product-infos .go-cart-box .successicon .tick {
  stroke-dasharray: 350;
  stroke-dashoffset: 350;
  transform: translate(2px, -12px);
  animation: tick 3s 0.8s ease-out forwards;
}
@keyframes tick {
  from {
    stroke-dashoffset: 350;
  }
  to {
    stroke-dashoffset: 0;
  }
}
.right-sticky .right .product-infos .go-cart-box .success-text {
  color: #FFF;
  width: 0;
  overflow: hidden;
  animation: text1 1s 1.3s forwards;
  font-size: 16px;
  margin-left: -8px;
}
@keyframes text1 {
  0% {
    opacity: 0;
    width: 0;
  }
  100% {
    opacity: 1;
    width: 140px;
  }
}
.right-sticky .right .product-infos .sku-box {
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  padding-top: 20px;
  margin-top: 30px;
}
.right-sticky .right .product-infos .sku-box .sku-title {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 20px;
}
.right-sticky .right .product-infos .sku-box .sku {
  display: grid;
  gap: 10px 8px;
  grid-template-columns: repeat(4, 1fr);
}
.right-sticky .right .product-infos .sku-box .sku .sku-item {
  border: 1.5px solid rgba(255, 255, 255, 0.2);
  padding: 6px;
  border-radius: 99px;
  text-align: center;
  font-size: 13px;
  transition: all 0.3s;
  letter-spacing: 1px;
  cursor: pointer;
}
.right-sticky .right .product-infos .sku-box .sku .sku-item:hover {
  border: 1.5px solid rgba(255, 255, 255, 0.8);
  transform: scale(1.05);
  letter-spacing: 2px;
  background-color: rgba(255, 255, 255, 0.2);
}
.right-sticky .right .share {
  display: flex;
  align-items: center;
  margin: 30px 50px;
}
.right-sticky .right .share .sharetext {
  font-size: 14px;
  color: rgba(255, 255, 255, 0.6);
}
.right-sticky .right .share .social .social-icon {
  width: 44px;
  height: 44px;
  margin: 0 10px;
  border-radius: 14px;
  padding: 8px;
  fill: rgba(255, 255, 255, 0.6);
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}
.right-sticky .right .share .social .social-icon:hover {
  background-color: rgba(255, 255, 255, 0.2);
  fill: #fff;
  padding: 10px;
  transform: scale(1.2);
}
.recommend {
  display: flex;
  margin-bottom: 80px;
  margin-top: 40px;
}
.recommend .goods {
  width: 250px;
  padding: 0;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
  border-radius: 20px;
  text-align: center;
}
.recommend .goods.all {
  background-color: rgba(0, 0, 0, 0.1);
}
.recommend .goods .stretched-link:after {
  bottom: 0;
  content: "";
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 3;
}
.recommend .goods .picture {
  z-index: 1;
  opacity: 1;
  transition: all 0.8s;
  position: relative;
}
.recommend .goods .picture:after {
  content: "";
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.1);
  transition: all 0.3s;
  z-index: 1;
}
.recommend .goods .picture .main_img {
  width: 100%;
  position: relative;
  z-index: 1;
}
.recommend .goods .picture .floating {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 2;
  transform: translate(-50%, -50%);
}
.recommend .goods .picture .floating .maim-float {
  width: 130px;
  animation: float 3s ease-in-out infinite;
  animation-play-state: paused;
}
.recommend .goods .picture.liwai .floating {
  margin-right: 40px;
}
.recommend .goods .picture.liwai .floating .maim-float {
  width: 130px;
  margin-top: 68px;
  margin-left: -50px;
}
.recommend .goods .picture.liwai .floating:after {
  content: "";
  background-image: var(--float1_img);
  background-repeat: no-repeat;
  background-size: contain;
  width: 100px;
  height: 100px;
  position: absolute;
  top: 0;
  left: -30px;
  z-index: 4;
  animation: float 2.5s ease-in-out infinite;
  animation-play-state: paused;
}
.recommend .goods .title {
  font-size: 48px;
  font-weight: bold;
  width: 100%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  text-align: center;
  z-index: 2;
  letter-spacing: 0.1em;
  color: #fff;
}
.recommend .goods .goods-name {
  font-size: 16px;
  margin-top: 10px;
}
.recommend .goods .more {
  color: #fff;
  width: 48px;
  height: 48px;
  position: absolute;
  right: 15px;
  bottom: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
}
.recommend .goods .more .circle {
  width: 38px;
  height: 38px;
  border: 2px solid #fff;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
  transform-origin: center;
}
.recommend .goods .more i {
  color: #fff;
  font-size: 16px;
  font-weight: bold;
}
@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}
.recommend .goods:hover .picture:after {
  background-color: rgba(0, 0, 0, 0.3);
}
.recommend .goods:hover .picture .floating .maim-float {
  animation-play-state: running;
}
.recommend .goods:hover .picture .floating:after {
  animation-play-state: running;
}
.recommend .goods:hover .more .circle {
  width: 48px;
  height: 48px;
}
.guess-box {
  position: relative;
  width: 1200px;
  margin: 120px auto 0;
  padding: 0 30px;
}
.guess-box .guess-title {
  font-size: 24px;
  color: #FFF;
  text-align: center;
}
